Name:           qxmledit
Version:        0.9.15
Release:        %mkrel 2
Summary:        Simple XML editor and XSD viewer
Group:          Editors
License:        LGPLv2 and LGPLv3
URL:            http://qxmledit.org/
Source:         https://sourceforge.net/projects/qxmledit/files/QXmlEdit-%{version}/%{name}-%{version}-src.tgz
Patch0:         qxmledit-0.9.12-mga-install-files.patch
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Scxml)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(freeglut)

%description
QXmlEdit is a simple XML editor written in Qt5. Its main features are unusual
data visualization modes, nice XML manipulation and presentation.
It can split very big XML files into fragments, and compare XML files.
It is one of the few graphical Open Source XSD viewers.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5 QXmlEdit.pro

%make_build \
    QXMLEDIT_INST_DATA_DIR=%{_datadir} \
    QXMLEDIT_INST_TRANSLATIONS_DIR=%{_datadir}/%{name}/translations \
    QXMLEDIT_INST_DIR=%{_bindir} \
    QXMLEDIT_INST_DOC_DIR=%{_docdir}/%{name} \
    QXMLEDIT_INST_LIB_DIR=%{_libdir} \
    QXMLEDIT_INST_INCLUDE_DIR=%{_includedir}/%{name} \
    QXMLEDIT_INST_USE_C11=y

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -fr %{buildroot}%{_includedir} %{buildroot}%{_libdir}/*.so

%__install -Dm 0644 ./src/images/icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -Dm 0644 ./src/images/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mv %{buildroot}%{_datadir}/applications/QXmlEdit.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS DISTRIBUTING NEWS README ROADMAP TODO doc/QXmlEdit_manual.pdf
%license COPYING GPLV3.txt LGPLV3.txt
%{_bindir}/%{name}
%{_libdir}/libQXmlEdit*.so.*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/QXmlEdit.appdata.xml
%{_iconsdir}/hicolor/*/*/%{name}.*
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.9.15-2.mga8
+ Revision: 1659721
- Rebuild for new Qt5

* Sun Aug 30 2020 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1619813
- new version: 0.9.15
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Tue Feb 18 2020 umeabot <umeabot> 0.9.14-2.mga8
+ Revision: 1541344
- Mageia 8 Mass Rebuild

* Wed Dec 25 2019 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1469976
- new version: 0.9.14

* Sun Aug 25 2019 daviddavid <daviddavid> 0.9.13-1.mga8
+ Revision: 1431923
- new version: 0.9.13

* Mon Apr 01 2019 umeabot <umeabot> 0.9.12-2.mga7
+ Revision: 1384664
- Qt5 Rebuild

* Tue Jan 01 2019 daviddavid <daviddavid> 0.9.12-1.mga7
+ Revision: 1348411
- new version: 0.9.12

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9.2-2.mga7
+ Revision: 1300761
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 daviddavid <daviddavid> 0.9.9.2-1.mga7
+ Revision: 1223869
- new version: 0.9.9.2

* Thu Jan 04 2018 daviddavid <daviddavid> 0.9.9-1.mga7
+ Revision: 1190079
- new version: 0.9.9

* Wed Oct 04 2017 daviddavid <daviddavid> 0.9.8-1.mga7
+ Revision: 1168119
- new version: 0.9.8

* Wed Aug 02 2017 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1133903
- new version: 0.9.7

* Tue Dec 13 2016 daviddavid <daviddavid> 0.9.5-1.mga6
+ Revision: 1074505
- new version: 0.9.5
- port to Qt5
- update URL and Source URL

* Tue Feb 02 2016 umeabot <umeabot> 0.8.11-4.mga6
+ Revision: 931088
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.11-3.mga5
+ Revision: 740063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.11-2.mga5
+ Revision: 688593
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 lmenut <lmenut> 0.8.11-1.mga5
+ Revision: 666955
- update to 0.8.11

* Sun Jul 06 2014 lmenut <lmenut> 0.8.10-1.mga5
+ Revision: 644024
- update to 0.8.10
- switch to pkgconfig() style BRs
- fix License

* Thu Mar 13 2014 dams <dams> 0.8.9.1-1.mga5
+ Revision: 603234
- new version 0.8.9.1

* Mon Oct 21 2013 umeabot <umeabot> 0.8.7-2.mga4
+ Revision: 540747
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 lmenut <lmenut> 0.8.7-1.mga4
+ Revision: 494267
- update to 0.8.7
  + update summury and description
  + remove obsoletes patches

* Sun Jan 13 2013 umeabot <umeabot> 0.8.3.1-2.mga3
+ Revision: 380143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 0.8.3.1-1.mga3
+ Revision: 318121
- drop unused fiiles
- update file list
- new version 0.8.3.1

* Fri Mar 02 2012 lmenut <lmenut> 0.7.2-1.mga2
+ Revision: 216962
- update to 0.7.2
  + rediff patches 1 & 2
  + add patch 3 to fix format string error

* Sat Jan 21 2012 lmenut <lmenut> 0.6.2-1.mga2
+ Revision: 199146
- update to 0.6.2

* Tue Jan 03 2012 lmenut <lmenut> 0.6.1-1.mga2
+ Revision: 189833
- update to 0.6.1

* Sun Dec 11 2011 lmenut <lmenut> 0.5.4-1.mga2
+ Revision: 180631
- imported package qxmledit

